#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int najm=1, najv=2*n;
    bool f=true;
    for (int i=0;i<2;i++)
    {
       for (int j=0;j<n;j++)
        {
            if(f)
            {
                cout<<najm++<<' ';
                f=false;
            }
            else
            {
                cout<<najv--<<' ';
                f=true;
            }
        }
        cout<<'\n';
    }
}